List Schedules - m3ter Documentation
List Schedules
Example Requests
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/dataexports/schedules \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/dataexports/schedules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/dataexports/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/dataexports/schedules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.m3ter.com/organizations/{orgId}/dataexports/schedules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.get("https://api.m3ter.com/organizations/{orgId}/dataexports/schedules")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.m3ter.com/organizations/{orgId}/dataexports/schedules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Response Codes
- 200: Successful response
- 4XX: Client errors
- 5XX: Server errors
Response Schema
{
"data": [
{
"id": "<string>",
"version": 123,
"name": "<string>",
"code": "<string>",
"sourceType": "<unknown>",
"destinationIds": [
"<string>"
],
"scheduleType": "<unknown>",
"period": 123,
"offset": 123,
"cronExpression": "<string>",
"exportFileFormat": "<unknown>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
],
"nextToken": "<string>"
}
Common Message Responses
{
"message": "<string>"
}
Authorizations
Authorization
- Type: string
- Location: header
- Required: Yes
- Details: m3ter supports machine to machine authentication using the
clientCredentials OAuth2 flow.
Path Parameters
- orgId: string (required) - UUID of the organization.
Query Parameters
- pageSize: integer (1 <= x <= 100)
- nextToken: string (for multi-page retrievals)
- ids: object[] (Data Export Schedule IDs to filter the returned list by).